.\"   $NetBSD: wss.4,v 1.18 2003/01/05 20:58:40 jmcneill Exp $
.\"
.\" Copyright (c) 1995 Michael Long.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt WSS 4
.Os
.Sh NAME
.Nm wss
.Nd Windows Sound System hardware audio driver
.Sh SYNOPSIS
.Cd "wss0   at isa? port 0x530 irq 10 drq 0 drq2 1"
.Cd "wss0   at isa? port 0x530 irq 10 drq 0 flags 1"
.Cd "wss*   at acpi?"
.Cd "wss*   at isapnp?"
.Cd "wss*   at pnpbios? index ?"
.Cd "audio* at audiobus?"
.Cd "opl*   at wss?"
.Sh DESCRIPTION
The
.Nm
driver supports Microsoft's Windows Sound System, the MAD16 chip based
hardware, and their clones.
.Pp
The base I/O port is set by a jumper on the board; valid choices are
0x530, 0x604, 0xE80, or 0xF40.
Both IRQ and DMA channels are software programmable.
The IRQ may be set to 7, 9, 10, or 11, and
the DMA channel may be set to 0, 1, or 3.
.Pp
The device
.Cm flags
must have bit 0 (value 1) set to enable the MAD16 support.  This is to
avoid potential conflicts with other devices when probing the MAD16
because it requires use of extra I/O ports not in the base port range.
Chips needing this flag include the OPTi 82C928, 82C929, 82C831, and
the OAK OTI-601D.  Setting bit 1 (value 2) in
.Cm flags
disables the joystick port on MAD16 hardware.
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr audio 4 ,
.Xr isa 4 ,
.Xr isapnp 4 ,
.Xr joy 4 ,
.Xr opl 4 ,
.Xr pnpbios 4
